class

  ScrollerIScroll

brief

  iScroll を使用した Scroller クラス

### Hierarchy

- ScrollerIScroll

### Implements

- IScroller

## Index

### Constructors

- constructor

### Properties

- _$owner
- _$scroller
- _$wrapper
- _iscroll
- _listviewOptions
- _refreshTimerId

### Accessors

- TYPE

### Methods

- destroy
- getPos
- getPosMax
- getType
- off
- on
- scrollTo
- update
- getFactory

## Constructors

### constructor

- new ScrollerIScroll($owner: JQuery, element: string, iscrollOptions: IScrollOptions, listviewOptions: ListViewOptions): ScrollerIScroll
- new ScrollerIScroll($owner: JQuery, element: HTMLElement, iscrollOptions: IScrollOptions, listviewOptions: ListViewOptions): ScrollerIScroll

- - Defined in CDP/UI/listview/ScrollerIScroll.ts:36

  #### Parameters

  - ##### $owner: JQuery

  - ##### element: string

  - ##### iscrollOptions: IScrollOptions

  - ##### listviewOptions: ListViewOptions

  #### Returns ScrollerIScroll

- - Defined in CDP/UI/listview/ScrollerIScroll.ts:39

  #### Parameters

  - ##### $owner: JQuery

  - ##### element: HTMLElement

  - ##### iscrollOptions: IScrollOptions

  - ##### listviewOptions: ListViewOptions

  #### Returns ScrollerIScroll

## Properties

### Private _$owner

_$owner: JQuery = null

- Defined in CDP/UI/listview/ScrollerIScroll.ts:31

### Private _$scroller

_$scroller: JQuery = null

- Defined in CDP/UI/listview/ScrollerIScroll.ts:35

### Private _$wrapper

_$wrapper: JQuery = null

- Defined in CDP/UI/listview/ScrollerIScroll.ts:34

### Private _iscroll

_iscroll: IScrollEx = null

- Defined in CDP/UI/listview/ScrollerIScroll.ts:32

### Private _listviewOptions

_listviewOptions: ListViewOptions = null

- Defined in CDP/UI/listview/ScrollerIScroll.ts:36

### Private _refreshTimerId

_refreshTimerId: number = null

- Defined in CDP/UI/listview/ScrollerIScroll.ts:33

## Accessors

### Static TYPE

- get TYPE(): string

- - Defined in CDP/UI/listview/ScrollerIScroll.ts:151

  #### Returns string

## Methods

### destroy

- destroy(): void

- Implementation of IScroller.destroy

  - Defined in CDP/UI/listview/ScrollerIScroll.ts:143

  #### Returns void

### getPos

- getPos(): number

- Implementation of IScroller.getPos

  - Defined in CDP/UI/listview/ScrollerIScroll.ts:59

  #### Returns number

### getPosMax

- getPosMax(): number

- Implementation of IScroller.getPosMax

  - Defined in CDP/UI/listview/ScrollerIScroll.ts:70

  #### Returns number

### getType

- getType(): string

- Implementation of IScroller.getType

  - Defined in CDP/UI/listview/ScrollerIScroll.ts:54

  #### Returns string

### off

- off(type: string, func: function): void

- - Defined in CDP/UI/listview/ScrollerIScroll.ts:90

  #### Parameters

  - ##### type: string

  - ##### func: function

    - - (event: Event): void

      - #### Parameters

        - ##### event: Event

        #### Returns void

### on

- on(type: string, func: function): void

- - Defined in CDP/UI/listview/ScrollerIScroll.ts:75

  #### Parameters

  - ##### type: string

  - ##### func: function

    - - (event: Event): void

      - #### Parameters

        - ##### event: Event

        #### Returns void

### scrollTo

- scrollTo(pos: number, animate?: boolean, time?: number): void

- Implementation of IScroller.scrollTo

  - Defined in CDP/UI/listview/ScrollerIScroll.ts:105

  #### Parameters

  - ##### pos: number

  - ##### Optional animate: boolean

  - ##### Optional time: number

  #### Returns void

### update

- update(): void

- Implementation of IScroller.update

  - Defined in CDP/UI/listview/ScrollerIScroll.ts:114

  #### Returns void

### Static getFactory

- getFactory(options?: IScrollOptions): function

- - Defined in CDP/UI/listview/ScrollerIScroll.ts:156

  #### Parameters

  - ##### Optional options: IScrollOptions

  #### Returns function

  - - (element: any, options: ListViewOptions): IScroller

    - #### Parameters

      - ##### element: any

      - ##### options: ListViewOptions

      #### Returns IScroller

Generated using TypeDoc